using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace GetSenders
{
    class Program
    {
        static void Main(string[] args)
        {
            // Przykad wywoania metody getSenders, umoliwiajcej pobranie listy zdefiniowanych nadawcw przesyek
            try
            {
                String sLogin = ""; // Login konta w pl
                String sApiPass = ""; // Haso dostpu do konta przez API
         	
                // Utworzenie obiektu serwisu:
                Postivo.PostivoplPortTypeClient serwis = new Postivo.PostivoplPortTypeClient();

                // Wywoanie metody getSenders z przekazaniem wszystkich parametrw
                Postivo.SendersReturnObject output = serwis.getSenders(sLogin, sApiPass);

                // Przykad obsugi danych wyjciowych:
                Console.WriteLine("Status dania: " + output.result);
                Console.WriteLine("Kod statusu dania: " + output.result_code);
                Console.WriteLine("Opis statusu dania: " + output.result_description);

                // Przykad obsugi danych wyjciowych:
           
                foreach (Postivo.Sender sender in output.senders)
                {
            	Console.WriteLine("ID nadawcy: " + sender.sender_id + ",  Dane nadawcy: " + sender.sender_name + " " +  sender.sender_home_number + " " +  sender.sender_flat_number + ", " +  sender.sender_post_code + " " +  sender.sender_city + ", fax: " +  sender.sender_fax_number);
                }
            }
            catch (Exception exeption)
            {
               Console.WriteLine("Wystpi bd: " + exeption.Message);
            }
	    }
    }
}

